Subject: bug#64547: `show-paren-mode` thinks that a paren is offscreen in `M-:` when it isn't

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Jul 2023 09:44:31 +0300

> Date: Fri, 14 Jul 2023 03:03:31 +0000
> From: [email-masked]
> Cc: [email-masked], Stephen Berman <[email-masked]>
> 
> On 2023-07-10 14:17 UTC, Eli Zaretskii wrote:
> > 
> > Thanks, should be fixed now on the emacs-29 branch.
> 
> Hello,
> 
> The change fixed it for the minibuffer, but also disabled it when the 
> opening parenthesis was offscreen.  I think this is because
> `(pos-visible-in-window-p openparen nil t)` seems to return nil in that 
> case.

Disabled what?  Can you post a detailed recipe, and the description of
what you see and what you expected to see?  I'd like to make sure I
understand the issue we are discussing now.

Thanks.